﻿# SurvivorPods

| [![github issues/request link](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/github_link.webp)](https://github.com/DestroyedClone/PoseHelper/issues) | [![discord invite](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/discord_link.webp)](https://discord.gg/DpHu3qXMHK) |
|--|--|

Adds custom survivor pods for each survivor with unique effects. The effects aren't meant to be majorly game-changing due to the fact that pods (normally) only spawn on the first stage. It's more "neat!" than anything, to be honest. 

Changes:
 - All survivors who become unable to have a Fuel Array on their pod will spawn one after landing.
 - Due to networking, some changes are singleplayer (or probably host, can't test properly) only. They're prefixed by <sup>*host*</sup>. To be fixed...

 - **Acrid**
	 - Falls down like other survivors, instead of waking on the ground
	 - Upon landing, cover the ground in acid.
	 - ![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/acrid.gif)
 - **Artificer**
	 - Upon exiting, temporarily become an elite for 8 seconds based on your primary skill.
		 - Flame Bolt: Become [Blazing](https://riskofrain2.fandom.com/wiki/Monsters#Blazing).
		 - Plasma Bolt: Become [Overloading](https://riskofrain2.fandom.com/wiki/Monsters#Overloading).
 - **Huntress**
	 - Huntress can exit her pod early.
		 - <sup>*host*</sup>When she exits, she blinks out.
		 - Early Exit![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/huntress1.gif)
		 - Exit normally![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/huntress2.gif)
 - **Bandit**
	 - Upon exiting, cloak with your Smoke Bomb.
	 - ![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/bandit.gif)
 - **Commando**
	 - Upon exiting, increase your attack speed by 70% for 8 seconds ([War Horn](https://riskofrain2.fandom.com/wiki/War_Horn)).
	 - ![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/commando.gif)
 - **Engineer**
	 - Upon exiting, all allies are shielded for 50% of their health for 8 seconds.
	 - ![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/engi.gif)
 - **Heretic**
	 - Upon exiting, heal for 20% of the damage you deal for 8 seconds ([Super Massive Leech](https://riskofrain2.fandom.com/wiki/Super_Massive_Leech)).
 - **Loader**
	 - Loader can exit her pod early.
		 - <sup>*host*</sup>When she exits, she performs a [Thunderslam](https://riskofrain2.fandom.com/wiki/Loader#Thunderslam).
		 - Normal Exit![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/loader1.gif)
		 - Early Exit![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/loader2.gif)
 - **Mercenary**
	 - TODO: Add swords and daggers inside
	 - Mercenary can exit his pod early.
		 - <sup>*host*</sup>When he exits his pod, he dashes out.
		 - Early Exit![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/merc1.gif)
		 - Normal Exit![enter image description here](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PersonalizedPodPrefabs/readme/merc2.gif)
 - **MUL-T**
	 - TODO: A commando corpse comes out on exit (log reference)
	 - Upon exiting, increase your attack speed by 70% for 8 seconds ([War Horn](https://riskofrain2.fandom.com/wiki/War_Horn)).
		 - (same as Commando, subject to change)
 - **REX**
	 - TODO: Pod covered in flowers
	 - Upon exiting, increase your attack speed by 70% for 8 seconds ([War Horn](https://riskofrain2.fandom.com/wiki/War_Horn)).
		 - (same as Commando, subject to change)
 - **Captain**
	 - Upon exiting, all allies gain 500 armor for 8 seconds ([Jade Elephant](https://riskofrain2.fandom.com/wiki/Jade_Elephant)).


> Written with [StackEdit](https://stackedit.io/).